warn user on lack of json extension